astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- ASCII Tables (`astropy.io.ascii`) »
- FastCommentedHeader

# FastCommentedHeader

class `astropy.io.ascii.``FastCommentedHeader`(**kwargs)

  Bases: `astropy.io.ascii.FastBasic`

  A faster version of the `CommentedHeader` reader, which looks for column names in a commented line. `header_start` denotes the index of the header line among all commented lines and is 0 by default.

  Methods Summary

  `read`(table) | Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.
  `write`(table, output) | Override the default writing behavior in `FastBasic` so that column names are commented.

  Methods Documentation

  `read`(table)

    Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.

  `write`(table, output)

    Override the default writing behavior in `FastBasic` so that column names are commented.